/*
//  ESTILOS DEL PROYECTO 
//
//  Archivo : Estilos_Proyecto.css
//  Autor   : Arturo Belleza E.
//			  Consultor, Analista, Programador de Sistemas Escritorio/Web
//	Inicio  : 01/10/2022
//	Función : Elabora Todos los Diseños del Proyecto 
*/


:root{
	
	/* 								*/
    /*	COLORES DE LA INSTITUCION	*/
	--Empresa-Color-Primary: #001E38;       /*	Color 1 Azul    */
    --Empresa-Color-Secundary: #ca7d09;     /*	Color 2 Naranja	*/
 
    --Menu-Fondo: #001e38; 
    --Menu-Letra: #FFFFFF; 

	--Menu-Nav-Fondo: #223E71;                  
    --Menu-Nav-Fondo-Opciones: #375C9B;        
    --Menu-Nav-Letra: #FFFFFF;                 
	--Menu-Nav-Letra-hover: darkblue;

    --Menu-FontSize: 16px;
    /* --Menu-Nav-height: 80px; */
	--Menu-Nav-height: 70px;
    --Menu-Nav-height-opciones: 45px;
    /* --Menu-Nav-inicio-main: 80px; */
	--Menu-Nav-inicio-main: 70px;
    --Menu-Nav-inicio-SubMenu: 45px;

    --Menu-Nav-fondo-movil: cornflowerblue;
    --Menu-Nav-letra-hover-movil: yellow;
    --Menu-Nav-height-movil: var(--Menu-Nav-height);
    --Menu-Nav-ventana-movil: calc(100% - 60px);

	/*											  	*/
    /*	CONFIGURACION LETRAS Y TAMAÑO DEL PROYECTO	*/
	--MiColorBorderLinea: darkgray; 
	--MiColorBackground: lavender;

    --Mifont-family: "Segoe UI Emoji";
	/* --MiFontSize: 1rem; */
	--MiFontSize: .9rem;
	--MiFontSizeTotales: calc(var(--MiFontSize) + .1rem );
	--MiFontSizeMantenimiento: calc(var(--MiFontSize) + .1rem );
	--MiFontSizeTituloPagina: calc(var(--MiFontSize) + .2rem );

	--MiPaginaAlto: calc(100%);
	--MiPaginaPie: calc(var(--MiPaginaAlto) - 100px);

	/* --MiPaginaPie: calc(var(--MiPaginaAlto)); */

	--MiColorLoginFondo: lavender; 
	--MiColorLoginLetra: #223E71;
	--MiColorLoginTituloLetra: darkcyan;
    
	--MiColorSeleccionFondo: white;
	--MiColorSeleccionLetra: steelblue;
	--MiColorSeleccionTitulo: #294A8E;

	--MiColorPaginaTotalesFondo: #809DD6;
	--MiColorPaginaTotalesLetra: yellow;

	--MiColorMantenimientoFondo: #809DD6;
	--MiColorMantenimientoLetra: yellow;

	--MiColorTextoTituloFondo:  #86A6E8;
	--MiColorTextoTituloLetra:  white;

	--MiColorHelpTituloFondo:  #375C9B;
	--MiColorHelpTituloLetra: white;

	--MiColorGridEncabezadoLetra: steelblue;
	--MiColorGridDetalleLetra: black;

	--MiColorCajaFondo: #DFE8EE;
	--MiColorLabelTexto: steelblue;

	--MiColorCarouselFondo: gainsboro;
	--MiColorCarouselLetra: black;
	--MiColorCarouselLetraTitulo: #375C9B;

}


/*						  						     */
/*  CSS PARA TODAS LAS PAGINA OPCIONES DEL PROYECTO  */

html body{
	/* PASO 01 */ 
	height: calc(100vh - 10px);
	background-color: var(--MiColorBackground);

	font-family: var(--Mifont-family);
    font-size: var(--MiFontSize);
	padding: 0rem 0rem;
}


select {
	cursor: pointer;
	/* margin-right: 1rem !important;  */
}


select, textarea, input {
	font-size: 80% !important;
	margin-right: .5rem;
	padding: .375rem .375rem !important;
}


input:disabled, textarea:disabled, select:disabled {
	color: #223E71 !important;
	background-color: #e5e7e9 !important;
}


label {
	margin-right: 15px;
	font-weight:bold;
	display: flex;
	align-items: center;
}



.alert-ajuste{
	padding: 0.5rem 1rem !important;
	font-size: 1rem; 
}


.Pagina-Contenido {
	/* PASO 02 */ 
	position: relative;
	display: block;
    top: var(--Menu-Nav-inicio-main);
	height: calc(100vh - 140px);
}


.Pagina-Home {
	/* PASO 03 */ 
	height: 100%;
	width: 100%;
}


.Pagina-Consulta {
	/* PASO 04 */ 
	padding: 0rem 0rem;
	display: none;
}


.Pagina-Titulo {
	background-color: var(--MiColorSeleccionFondo);
	color: var(--MiColorSeleccionLetra);
	font-size: var(--MiFontSize);
	font-weight: bold;
	padding: 0rem 1.5rem !important;
}


.Pagina-Titulo-Opcion {
	color: var(--MiColorSeleccionTitulo);
	font-weight:bold;
	font-size: var(--MiFontSizeTituloPagina);
}


.Pagina-Titulo-Caja {

	background-color: var(--MiColorSeleccionFondo);
	color: var(--MiColorSeleccionLetra);
	font-size: var(--MiFontSize);
	font-weight: bold;
	padding: 0rem 1.5rem !important;

	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
	height: 3rem !important;
}


.Pagina-Grid {
	/* CONTROLA CAJA DataTables Grid */
	/* IMPORTANTE NOT TOCAR 		 */
	margin-top: 1px;
	padding: .5rem 1rem;
	max-height: calc( 100vh - 280px );
	overflow: auto;
}


.Pagina-Totales {
	background-color: var(--MiColorPaginaTotalesFondo);
	color: var(--MiColorPaginaTotalesLetra);
	padding: .3rem 1rem;
	border-radius: 3px; 
	font-size: var(--MiFontSize);
	font-weight: normal;
	overflow: auto;
}


/* SOLO PARA BOTONES MANTENIMIENTO */ 
.Bonton_Mante{
	margin: .5rem !important;
	/* margin-bottom: 3px; */
	width: 7rem !important;
}


#Id_Btn_Actualizar, #Id_Btn_Nuevo, #Id_Btn_Imprimir, #Id_Btn_Apertura, #Id_Btn_Tacho, #Id_Btn_Buscar {
	width: 7.5rem !important;
	height: 2.2rem !important;
}


#Id_Buscar {
	width: 10rem !important;
}


#Id_Btn_:active{
	transform: scale(.98);
}


.Caja-Vertical-Centro {
	/* CENTRA CAJA VERTICAL */
	margin: auto;
	max-height: var(--MiPaginaAlto);
	border: 1px solid var(--MiColorBorderLinea);
	margin-top: 2rem;
	padding: .1rem .1rem;
}


.Caja-Vertical-Modulos {
	/* CAJA CENTRADO, SEPARADO POR MODULOS */
	background-color: var(--MiColorSeleccionFondo);
	color: var(--MiColorSeleccionLetra);
	border: 1px solid var(--MiColorBorderLinea);
	padding: 0.1rem;
	font-size: 1.1rem;
	max-height: calc( 100vh - 320px );
	overflow: auto;
}


.Caja-Vertical-Titulo{
	background-color:gainsboro;
	color: var(--MiColorSeleccionTitulo);
	font-size: 22px;
	line-height: 40px;
	text-align: center;
	margin-bottom: .5rem;
}


.Caja-Vertical-SubTitulo{
	color: var(--MiColorSeleccionTitulo);
	text-align: center;
	font-weight: bold;
}


/*						  */
/*  CSS PARA PAGINA HELP  */
.Pagina-Help{
	margin: 30px auto;
	padding: 5px 5px;
	max-height: calc(100vh);
}


.Pagina-Help-Marco{
	padding: 2px 2px;
}


.Pagina-Help-Titulo {
	background-color: var(--MiColorHelpTituloFondo);
	color: var(--MiColorHelpTituloLetra);
	font-weight:bold;
	margin-bottom: 3px;
	border: 1px solid  lightsteelblue;
	border-radius: 3px;
}


.dataTables_scrollBody {
	/* IMPORTANTE SOLO FUNCIONA DataTable */
	/* MUY BUENO OJO NO TOCAR 			  */
	max-height: calc(100vh - 300px) !important;
}


/*				  */
/*  FIN CSS HELP  */
/*				  */


.label-SubTitulo{
	font-weight: bold;
	font-size: 1rem;
	color: var(--MiColorSeleccionTitulo);
	margin-right: 0rem;
}


.label-Totales{
	font-weight: normal;
	font-size: .9rem;
	margin: .7rem ;
}


.label-Edicion{
	margin-right: .5rem;
	color: var(--MiColorLabelTexto);
	font-weight: normal;
}


.label-Saldos{
	color:darkgreen;
	font-size: 19px;
}


.label-Texto{
	color: rebeccapurple;
}


thead tr th {
	/* GRID ENCABEZADO COLOR TAMAÑO */
	color: var(--MiColorGridEncabezadoLetra);
	padding-top: 0rem !important;
	/* font-size: 1rem; */
	font-size: .9rem; 
	font-weight: bold;
	text-align: center;
	vertical-align: middle !important;
}


tbody tr td {
	/* GRID DETALLE COLOR TAMAÑO */
	color: var(--MiColorGridDetalleLetra);
	/* font-size: .9rem; */
	font-size: .7rem;
	padding-Top: .1rem !important;
	padding-bottom: .1rem !important;
	text-align: center;
	vertical-align: middle !important;
}


/* .modal{
	background: rgba(0,0,0,0.50);
} */


.modal{
	background: rgba(169,169,169,0.50);
}


#Id_Cotizacion_SAEF {
	width: 6rem;
}


#Id_Cbo_IdCodPeriodo, #Id_Cbo_IdCodPeriodo_SQL {
	width: 4rem;
}


#Id_Cbo_IdCodMes, #Id_Cbo_IdCodMes_SQL, #Id_Cbo_IdCodSexo, 
#Id_Cbo_IdCodCtaCte_SQL, #Id_Cbo_IdCodCtaCte, 
#Id_Cbo_IdBuscarAlumno_SQL, #Id_Cbo_IdBuscarTitular_SQL {
	width: 7rem;
}


#Id_Cbo_IdCodCategoria_SQL, #Id_Cbo_IdCodCategoria, 
#Id_Cbo_IdCodCategoriaTit, #Id_Cbo_IdCodCategoriaAlu, 
#Id_Cbo_IdCodControl_SQL, #Id_Cbo_IdCodControl,
#Id_Cbo_IdCodGradoMilitar, #Id_Cbo_IdCodSituacionMilitar,
#Id_Cbo_IdCodCondicion_SQL, #Id_Cbo_IdCodCondicion,
#Id_Cbo_IdCodGradoEscolar, #Id_Cbo_IdBuscarTitular_SQL {
	width: 9rem;
}


#Id_Buscar_SQL, Id_Buscar_Alumno_SQL, #Id_Buscar_Titular_SQL {
	width: 15rem;
}


#Id_Cbo_IdCodCIA{
	width: 22rem;
}


#Id_Cbo_IdCodApi {
	width: 15rem  !important;
}


#Id_Cbo_IdCodFF, #Id_Cbo_IdCodFF_SQL {
	width: 26rem  !important;
}


#Id_Cbo_IdCodCrediticias_SQL, #Id_Cbo_IdCodTipoBienes_SQL {
	width: 10rem  !important;
}


#Id_Cbo_IdCodDonTipo {
	width: 11rem  !important;
}


#Id_Cbo_IdCodCategoria {
	width: 15rem;
}


#Id_Cbo_IdCodCuenta, #Id_Cbo_IdCodCuenta_FBN {
	width: 17rem;
}


#Id_Cbo_IdCodDI {
	width: 14rem;
}


#Id_Cbo_SiNo{
	width: 50px;
}


#Id_Cbo_CodArea {
	width: 270px;
}


#Id_IdCodigoTit, #Id_IdCodigoAlu, #Id_CIP,
#Id_Fecha_Inicio, #Id_Fecha_Fin, #Id_Fecha_Emision, #Id_Fecha_Proceso, 
#Id_Inicio_Servicio, #Id_Fecha_Nacimiento, #Id_Fecha_Referencia {
	/* ANCHO SOLO PARA EDICION */
	width: 7rem;
}


#Id_Periodo {
	width: 7rem;
	text-align: center;
}


#Id_DesContable {
	width: 22rem  !important; 
}


#Id_IdCodCon {
	width: 7rem  !important; 
}


#Id_CodRazon, #Id_CodCorrige {
	width: 9rem  !important; 
}


#Id_Debe, #Id_Haber, #Id_Educacion, #Id_Transporte, #Id_Revocado, #Id_Neto_Ingreso, #Id_Ajuste,  #Id_Total_Certificado, #Id_Revocado_Anterior{
	/* ESTA CONFIGURACION ES SOLO PARA EDITAR NUMEROS, TOTALES */ 
	width: 7rem !important;
	text-align: right;
}


/* ESTA CONFIGURACION ES SOLO PARA MOSTRAR TOTALES */ 
#Id_Total, #Id_Total_General, #Id_Total_Soles, #Id_Total_Dolares,
#Id_Total_Menos_UIT, #Id_Total_Mayor_UIT, #Id_Total_Donacion, #Id_Total_Actas, 
#Id_Total_Sunat, #Id_TG_Libro, #Id_TG_Debe, #Id_TG_Haber, #Id_TG_Actas,
#Id_TT_Efectuado, #Id_TT_NoEfectuado, #Id_TT_Abonado,
#Id_TG_Efectuado, #Id_TG_NoEfectuado, #Id_TG_Abonado, #Id_TG_Donado #Id_Estado {
	width: 7rem;
	text-align: right;
	font-size: .9rem !important;
	font-weight: bold;
	border-radius: 0.5rem !important;
	padding: .3rem .5rem !important;
	height: 2rem !important;
}


#Id_NroDcto {
	width: 120px;
	text-align: right;
}


#Id_TC {
	text-align: right;
}


#Id_RazonSocial, #Id_ApePaterno, #Id_ApeMaterno, #Id_Nombres {
	text-align: left; 
	width: 23rem !important; 
}


/* #Id_Estado {
	text-align:center !important; 
}  */


#Id_File_Abrir {
	width: 20rem !important; 
}


.Marco-Mantenimiento {
	background-color:whitesmoke;
	border: 1px solid  lightsteelblue;
	border-radius: 3px; 
	font-weight: normal !important;
	padding: .3rem .3rem !important;
	margin: auto;
	margin-top: 3rem;
	max-height: calc(100vh - 50px);
	/* max-height: calc(100vh - 100px); */
}


.Modal-Mantenimiento-Header{
	background-color: var(--MiColorMantenimientoFondo);
	color: var(--MiColorMantenimientoLetra);
	font-size: var(--MiFontSizeMantenimiento);
}


.Modal-Mantenimiento-Footer{
	background-color: var(--MiColorMantenimientoFondo);
	color: var(--MiColorMantenimientoLetra);
	font-size: var(--MiFontSizeMantenimiento);
}


.Marco-Mantenimiento-Body{
	background-color: var(--MiColorBodyFondo);
	color: var(--MiColorBodyLetra);
	border: 1px solid  lightsteelblue;
	border-radius: 3px; 
	font-weight: normal !important;
	overflow: auto;
	padding: .6rem .2rem;
}


.Marco-Mantenimiento-Header{
	margin-bottom: .2rem;
	background-color: var(--MiColorMantenimientoFondo);
	color: var(--MiColorMantenimientoLetra);
	font-size: var(--MiFontSizeMantenimiento);
	padding: 0rem .3rem;
	border-radius: 3px; 
}


.Marco-Mantenimiento-Body-Margen{
	margin-top: 1rem;
	margin-bottom: 1rem;
	margin-left: 1rem;
	margin-right: 1rem;
	overflow: auto;
	max-height: calc(100vh - 20rem);
}


.Marco-Mantenimiento-Titulo {
	text-align: center;
	background-color: var(--MiColorMantenimientoFondo);
	color: var(--MiColorMantenimientoLetra);
	/* padding: .4rem .5rem; */
	padding: .3rem .5rem;
	margin: auto;
	margin-bottom: .1rem;
	/* font-size: 1.2rem !important; */
	font-size: 1.1rem !important;
	border-radius: 3px;
}


.Por-Defecto {
	text-align: center;
	width: 5rem !important;
}


.Emision {
	text-align: center;
	width: 3rem !important;
}


.Estado {
	font-weight: bold;	
	text-align: center;
	width: 7rem !important;
}


.Documento {
	text-align: center;
	width: 5rem !important;
}


.RazonSocial, .Titular, .Alumno, .Personal {
	width: 14rem !important;
}


.Descripcion {
	text-align: center;
	width: 16rem !important;
}


.Referencia {
	text-align:left;
	width: 16rem !important;
}


.OtrasReferencia {
	width: 10rem !important;
}


.Glosa {
	text-align: left;
	width: 23rem !important;
}


.Modificado {
	width: 8rem !important;
}


.Margen-Linea-Top{
	margin-top: 1rem !important;;
}


.Margen-Objeto-Derecha{
	margin-right: 1rem !important;;
}


.Columna-Decimal{
	text-align: right;
	width: 3rem !important;
}


.Columna-Totales, .Negrita {
	width: 4rem !important;
	font-weight: bold;	
	text-align: right;
}


.Columna-Avance{
	text-align: center;
}


.Columna-Centra{
	text-align: center;
}


.Columna-Izquierda{
	text-align: left;
}


.Columna-Derecha{
	text-align:right !important;
}


.Columna-Mas-Menos{
	text-align:Centro !important;
	width: 4rem !important;
}


.Columna-Boton{
	text-align: center !important;
	width: 3rem !important;
}


.Bloque-Movil{
	display: flex;
	flex-direction: row;
	flex-wrap:wrap;
	justify-content: space-between;
	align-items: center;
}


.Bloque-Movil-Titulo {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: end;
	align-items: center;
}


/*                                */
/* SOLO PARA DISPOSITIVOS MOVILES */
/*                                */


@media (max-width: 768px){ 

	.Bloque-Movil{
		flex-direction:column;
		align-items:flex-start;
	}

	.Bloque-Movil-Titulo{
		flex-direction:column;
		justify-content: space-between;
	}

}
